package com.mdd.admin.validate.crontab;

import com.mdd.common.validator.annotation.IDMust;
import com.mdd.common.validator.annotation.IntegerContains;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;

@ApiModel("计划任务更新参数")
public class CrontabUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @IDMust(
      message = "id参数必传且需大于0"
   )
   @ApiModelProperty(
      value = "id",
      required = true
   )
   private Integer id;
   @ApiModelProperty(
      value = "任务分组",
      required = true
   )
   private @NotNull(
   message = "types参数缺失"
) String types;
   @ApiModelProperty(
      value = "任务名称",
      required = true
   )
   private @NotNull(
   message = "name参数缺失"
) String name;
   @ApiModelProperty(
      value = "执行指令",
      required = true
   )
   private @NotNull(
   message = "command参数缺失"
) String command;
   @ApiModelProperty(
      value = "执行规则",
      required = true
   )
   private @NotNull(
   message = "rules参数缺失"
) String rules;
   @ApiModelProperty("备注")
   private @Length(
   max = 200,
   message = "remark参数不能超出200个字符"
) String remark;
   @IntegerContains(
      values = {1, 2, 3},
      message = "status参数取值异常"
   )
   @ApiModelProperty(
      value = "状态",
      required = true
   )
   private @NotNull(
   message = "status参数缺失"
) Integer status;
   @IntegerContains(
      values = {1, 2, 3},
      message = "strategy参数取值异常"
   )
   @ApiModelProperty(
      value = "strategy",
      required = true
   )
   private @NotNull(
   message = "strategy参数缺失"
) Integer strategy;
   @IntegerContains(
      values = {0, 1},
      message = "concurrent参数取值异常"
   )
   @ApiModelProperty(
      value = "concurrent",
      required = true
   )
   private @NotNull(
   message = "concurrent参数缺失"
) Integer concurrent;

   public Integer getId() {
      return this.id;
   }

   public @NotNull(
   message = "types参数缺失"
) String getTypes() {
      return this.types;
   }

   public @NotNull(
   message = "name参数缺失"
) String getName() {
      return this.name;
   }

   public @NotNull(
   message = "command参数缺失"
) String getCommand() {
      return this.command;
   }

   public @NotNull(
   message = "rules参数缺失"
) String getRules() {
      return this.rules;
   }

   public String getRemark() {
      return this.remark;
   }

   public @NotNull(
   message = "status参数缺失"
) Integer getStatus() {
      return this.status;
   }

   public @NotNull(
   message = "strategy参数缺失"
) Integer getStrategy() {
      return this.strategy;
   }

   public @NotNull(
   message = "concurrent参数缺失"
) Integer getConcurrent() {
      return this.concurrent;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setTypes(@NotNull(
   message = "types参数缺失"
) String types) {
      this.types = types;
   }

   public void setName(@NotNull(
   message = "name参数缺失"
) String name) {
      this.name = name;
   }

   public void setCommand(@NotNull(
   message = "command参数缺失"
) String command) {
      this.command = command;
   }

   public void setRules(@NotNull(
   message = "rules参数缺失"
) String rules) {
      this.rules = rules;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public void setStatus(@NotNull(
   message = "status参数缺失"
) Integer status) {
      this.status = status;
   }

   public void setStrategy(@NotNull(
   message = "strategy参数缺失"
) Integer strategy) {
      this.strategy = strategy;
   }

   public void setConcurrent(@NotNull(
   message = "concurrent参数缺失"
) Integer concurrent) {
      this.concurrent = concurrent;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof CrontabUpdateValidate)) {
         return false;
      } else {
         CrontabUpdateValidate other = (CrontabUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            label105: {
               Object this$strategy = this.getStrategy();
               Object other$strategy = other.getStrategy();
               if (this$strategy == null) {
                  if (other$strategy == null) {
                     break label105;
                  }
               } else if (this$strategy.equals(other$strategy)) {
                  break label105;
               }

               return false;
            }

            Object this$concurrent = this.getConcurrent();
            Object other$concurrent = other.getConcurrent();
            if (this$concurrent == null) {
               if (other$concurrent != null) {
                  return false;
               }
            } else if (!this$concurrent.equals(other$concurrent)) {
               return false;
            }

            label91: {
               Object this$types = this.getTypes();
               Object other$types = other.getTypes();
               if (this$types == null) {
                  if (other$types == null) {
                     break label91;
                  }
               } else if (this$types.equals(other$types)) {
                  break label91;
               }

               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            label77: {
               Object this$command = this.getCommand();
               Object other$command = other.getCommand();
               if (this$command == null) {
                  if (other$command == null) {
                     break label77;
                  }
               } else if (this$command.equals(other$command)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$rules = this.getRules();
               Object other$rules = other.getRules();
               if (this$rules == null) {
                  if (other$rules == null) {
                     break label70;
                  }
               } else if (this$rules.equals(other$rules)) {
                  break label70;
               }

               return false;
            }

            Object this$remark = this.getRemark();
            Object other$remark = other.getRemark();
            if (this$remark == null) {
               if (other$remark != null) {
                  return false;
               }
            } else if (!this$remark.equals(other$remark)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof CrontabUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $strategy = this.getStrategy();
      result = result * 59 + ($strategy == null ? 43 : $strategy.hashCode());
      Object $concurrent = this.getConcurrent();
      result = result * 59 + ($concurrent == null ? 43 : $concurrent.hashCode());
      Object $types = this.getTypes();
      result = result * 59 + ($types == null ? 43 : $types.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $command = this.getCommand();
      result = result * 59 + ($command == null ? 43 : $command.hashCode());
      Object $rules = this.getRules();
      result = result * 59 + ($rules == null ? 43 : $rules.hashCode());
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      return result;
   }

   public String toString() {
      return "CrontabUpdateValidate(id=" + this.getId() + ", types=" + this.getTypes() + ", name=" + this.getName() + ", command=" + this.getCommand() + ", rules=" + this.getRules() + ", remark=" + this.getRemark() + ", status=" + this.getStatus() + ", strategy=" + this.getStrategy() + ", concurrent=" + this.getConcurrent() + ")";
   }
}
